-- Role table
CREATE TABLE role (id bigserial NOT NULL, name character varying(100) NOT NULL, CONSTRAINT role_pkey PRIMARY KEY (id),CONSTRAINT role_name_key UNIQUE (name));

-- Account table
CREATE TABLE account(id bigserial NOT NULL,login character varying(100) NOT NULL,email character varying(100) NOT NULL,password character varying(255),active boolean NOT NULL,CONSTRAINT account_pkey PRIMARY KEY (id),CONSTRAINT account_login_key UNIQUE (login));

-- AccountRole table
CREATE TABLE account_role (id bigserial NOT NULL,account_id bigint NOT NULL,role_id bigint NOT NULL,CONSTRAINT account_role_pkey PRIMARY KEY (id),CONSTRAINT account_role_accountrole_key UNIQUE (account_id, role_id),CONSTRAINT fk_account_role_accounts FOREIGN KEY (account_id) REFERENCES account (id),CONSTRAINT fk_account_roles FOREIGN KEY (role_id) REFERENCES role (id));

-- Insert default data
INSERT INTO role(id, name) VALUES (1, 'ROLE_ADMIN');
INSERT INTO role(id, name) VALUES (2, 'ROLE_USER');

-- User login/pas = admin/admin
INSERT INTO account(id, login, email, password, active) VALUES (1, 'admin', 'admin@agiletestware.com','$e0801$j1St4ZhMe527z2uQEBEewIopY2zbhUzf6RAOtenYNx72YBwmBWAi59KQodjajPIqTcBMUpuP07G1iFZT/zXWfQ==$xnSJmOW1ICfY6Bi8iPm7LnhXXpaErlB1GFARHZSvItw=', true);
INSERT INTO account_role(account_id, role_id) VALUES (1, 1);
